import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class Galerie extends JFrame implements MouseListener{
    

    private String[] listeimage = {"image1.png","image2.png","image4.png"};
    private int IndexImage = 0;
    private JPanel panneau = new JPanel(new BorderLayout());
    // private JFrame fenetre = new JFrame();
    private JLabel etiquetteImage = new JLabel();

    public Galerie() {



    
    super("Confirmation");

    etiquetteImage.setHorizontalAlignment(SwingConstants.CENTER);
    etiquetteImage.setIcon(new ImageIcon(listeimage[IndexImage]));

    panneau.add(etiquetteImage, BorderLayout.CENTER);
    panneau.addMouseListener(this);
    setContentPane(panneau);
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    }

    public void mousePressed(MouseEvent e) {}   // Appui sur le bouton de la souris

    public void mouseReleased(MouseEvent e) {}  // Relâchement du bouton

    public void mouseEntered(MouseEvent e) {}   // Souris entre dans le composant

    
    public void mouseExited(MouseEvent e) {}    // Souris sort du composant

    public void mouseClicked(MouseEvent e){

        int largeurpanel = panneau.getWidth();

        if(e.getX () > largeurpanel/2 ){

            imageSuivante();

        }
        else{

            imagePrecedente();
        }
    }

    private void imageSuivante() {
        IndexImage = (IndexImage + 1) % listeimage.length;
        etiquetteImage.setIcon(new ImageIcon(listeimage[IndexImage]));
    }

    private void imagePrecedente() {
        IndexImage = (IndexImage - 1 + listeimage.length) % listeimage.length;
        etiquetteImage.setIcon(new ImageIcon(listeimage[IndexImage]));
    }

}

